以下是一段简单的vba程序代码
Sub Example_AddPolyline()
' This example creates a polyline in model space.
Dim plineObj As AcadPolyline
Dim points(0 To 14) As Double
' Define the 2D polyline points
points(0) = 1: points(1) = 1: points(2) = 0
points(3) = 1: points(4) = 2: points(5) = 0
points(6) = 2: points(7) = 2: points(8) = 0
points(9) = 3: points(10) = 2: points(11) = 0
points(12) = 4: points(13) = 4: points(14) = 0
' Create a lightweight Polyline object in model space
Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
ZoomAll
End Sub
上面的程序是在cad本身的世界坐标系下生成的一条多段线,现在本人在cad中通过ucs命令移动了坐标系的原点,请问怎么样修改上面的程序使其在自己定义的坐标系下生成所需要的这条多段线呢?
请高手多指教!!!